Simulations
POST /v1/create-simulation
Create a simulation.
POST /v1/create-simulation
curl --request POST \
--url https://api.getbluejay.ai/v1/create-simulationimport requests
url = "https://api.getbluejay.ai/v1/create-simulation"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.getbluejay.ai/v1/create-simulation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbluejay.ai/v1/create-simulation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbluejay.ai/v1/create-simulation"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getbluejay.ai/v1/create-simulation")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbluejay.ai/v1/create-simulation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_bodyCreates a simulation for an agent and returns
simulation_id.
prompt_id is deprecated. Use agent_version_id. If you send both and they differ, the response is 400.
Headers
Request body
Response
Status codes
| Status | Meaning |
|---|---|
200 | Successful Response |
422 | Validation Error |
Example request
curl --request POST \
--url https://api.getbluejay.ai/v1/create-simulation \
--header 'X-API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"agent_id": "<string>",
"name": "<string>",
"description": "<string>",
"prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"knowledge_base_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"max_concurrent": 123,
"hangup_on_transfer": false,
"max_call_duration": 10,
"max_call_duration_units": "minutes",
"ringing_timeout": 300,
"digital_humans_settings": {
"default_name": "random",
"default_caller_number": "random",
"default_language": "random",
"default_background_noise": "none",
"first_message": "ai_generated",
"num_runs": 1
},
"selected_custom_metrics": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"custom_metrics_failing_threshold": 123,
"custom_metrics_passing_threshold": 123,
"runs_per_digital_human": 123,
"delay_between_tests_seconds": 1.5,
"inactivity_timeout_seconds": 123,
"always_on": false
}'
Example response
200
{
"simulation_id": 123,
"status": "200"
}
Last modified on November 19, 2026
⌘I
POST /v1/create-simulation
curl --request POST \
--url https://api.getbluejay.ai/v1/create-simulationimport requests
url = "https://api.getbluejay.ai/v1/create-simulation"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.getbluejay.ai/v1/create-simulation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbluejay.ai/v1/create-simulation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbluejay.ai/v1/create-simulation"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getbluejay.ai/v1/create-simulation")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbluejay.ai/v1/create-simulation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body